<html lang="en">
<head>
<title>Attributes - psgml</title>
<meta http-equiv="Content-Type" content="text/html">
<meta name="description" content="psgml">
<meta name="generator" content="makeinfo 4.8">
<link title="Top" rel="start" href="index.html#Top">
<link rel="up" href="Edit.html#Edit" title="Edit">
<link rel="prev" href="Move.html#Move" title="Move">
<link rel="next" href="Change-and-delete.html#Change-and-delete" title="Change and delete">
<link href="http://www.gnu.org/software/texinfo/" rel="generator-home" title="Texinfo Homepage">
<meta http-equiv="Content-Style-Type" content="text/css">
<style type="text/css"><!--
  pre.display { font-family:inherit }
  pre.format  { font-family:inherit }
  pre.smalldisplay { font-family:inherit; font-size:smaller }
  pre.smallformat  { font-family:inherit; font-size:smaller }
  pre.smallexample { font-size:smaller }
  pre.smalllisp    { font-size:smaller }
  span.sc    { font-variant:small-caps }
  span.roman { font-family:serif; font-weight:normal; } 
  span.sansserif { font-family:sans-serif; font-weight:normal; } 
--></style>
</head>
<body>
<div class="node">
<p>
<a name="Attributes"></a>
Next:&nbsp;<a rel="next" accesskey="n" href="Change-and-delete.html#Change-and-delete">Change and delete</a>,
Previous:&nbsp;<a rel="previous" accesskey="p" href="Move.html#Move">Move</a>,
Up:&nbsp;<a rel="up" accesskey="u" href="Edit.html#Edit">Edit</a>
<hr>
</div>

<!-- node-name,  next,  previous,  up -->
<h3 class="section">8.6 Editing attributes</h3>

<p><a name="index-sgml_002dedit_002dattributes-120"></a><a name="index-C_002dc-C_002da-121"></a>If you want to change the attributes of a start-tag you can simply edit
them directly in the buffer.  Or you can place the cursor at or after
the start-tag and use the <code>sgml-edit-attributes</code> command, available
from the `<samp><span class="samp">SGML</span></samp>'-menu or on <kbd>C-c C-a</kbd>.  This will create a new
Emacs window with all possible attributes listed in the form

<pre class="example">     <var>attribute name</var> = <var>current value</var>.
</pre>
   <p>The <var>current value</var> may be shown as `<samp><span class="samp">#DEFAULT</span></samp>' if the attribute
has not been given a value in the start-tag.  The list also contains the
attributes declaration as a comment.  Note also that the <var>current
value</var> is show without eventual quotes.

   <p><a name="index-C_002dc-C_002dd-122"></a><a name="index-g_t_0040key_007bTAB_007d-123"></a>It is now possible to edit the attribute values.  You can move to the
next attribute with <kbd>&lt;TAB&gt;</kbd>.  If you want to let an attribute
have its default value use <kbd>C-c C-d</kbd>, this will insert a
`<samp><span class="samp">#DEFAULT</span></samp>' in the value field.

   <p>If Emacs is running in an X window, the `<samp><span class="samp">#DEFAULT</span></samp>' will be
underlined to distinguish it from normal values.

   <p><a name="index-C_002dc-C_002dc-124"></a>Finish the editing with <kbd>C-c C-c</kbd>; this will replace the attribute
values in the main buffer with those edited.  Note that values will be
quoted as needed.

   <p>If you want to abort the editing, you can remove the window with
<kbd>C-x 0</kbd> or if you want it neat, kill the buffer and remove the
window.

   <p>Some other keys are:
     
<a name="index-C_002da-125"></a>
<a name="index-sgml_002dedit_002dattrib_002dfield_002dstart-126"></a>
<dl><dt><kbd>C-a</kbd><dd>Go to the beginning of the value field
(<code>sgml-edit-attrib-field-start</code>).

     <p><a name="index-C_002de-127"></a><a name="index-sgml_002dedit_002dattrib_002dfield_002dend-128"></a><br><dt><kbd>C-e</kbd><dd>Go to the end of the value field
(<code>sgml-edit-attrib-field-end</code>).

     <p><a name="index-C_002dc-C_002dk-129"></a><a name="index-sgml_002dedit_002dattrib_002dclear-130"></a><br><dt><kbd>C-c C-k</kbd><dd>Clear the value field
(<code>sgml-edit-attrib-clear</code>).

     <p><a name="index-C_002dc-C_002dd-131"></a><a name="index-sgml_002dedit_002dattrib_002ddefault-132"></a><br><dt><kbd>C-c C-d</kbd><dd>Set the value field to `<samp><span class="samp">#DEFAULT</span></samp>'
(<code>sgml-edit-attrib-default</code>).  This is a special value that will
make the attribute be implied. 
</dl>

<!--  -->
</body></html>

